---
http_interactions:
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 403
      message: Forbidden
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:30 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '78'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4e-vJeBLxgahmv23yP9gdPJW/woako"
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"message":"User access denied - token missing","error":"User not authorized"}'
  recorded_at: Fri, 13 Sep 2024 03:35:31 GMT
- request:
    method: get
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/.well-known/openid-configuration
    body:
      encoding: US-ASCII
      string: ''
    headers:
      User-Agent:
      - SWD 2.0.3
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 13 Sep 2024 03:35:32 GMT
      Content-Type:
      - application/json;charset=UTF-8
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1726198533.707.71450.489714|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-cache, must-revalidate, no-transform, no-store
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"issuer":"https://login.lescommuns.org/auth/realms/data-food-consortium","authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth","token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","end_session_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/logout","frontchannel_logout_session_supported":true,"frontchannel_logout_supported":true,"jwks_uri":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/certs","check_session_iframe":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/login-status-iframe.html","grant_types_supported":["authorization_code","implicit","refresh_token","password","client_credentials","urn:openid:params:grant-type:ciba","urn:ietf:params:oauth:grant-type:device_code"],"acr_values_supported":["0","1"],"response_types_supported":["code","none","id_token","token","id_token
        token","code id_token","code token","code id_token token"],"subject_types_supported":["public","pairwise"],"id_token_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"id_token_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"id_token_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"userinfo_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"userinfo_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"userinfo_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"request_object_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512","none"],"request_object_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"request_object_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"response_modes_supported":["query","fragment","form_post","query.jwt","fragment.jwt","form_post.jwt","jwt"],"registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","token_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"token_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"introspection_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"introspection_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"authorization_encryption_alg_values_supported":["RSA-OAEP","RSA-OAEP-256","RSA1_5"],"authorization_encryption_enc_values_supported":["A256GCM","A192GCM","A128GCM","A128CBC-HS256","A192CBC-HS384","A256CBC-HS512"],"claims_supported":["aud","sub","iss","auth_time","name","given_name","family_name","preferred_username","email","acr"],"claim_types_supported":["normal"],"claims_parameter_supported":true,"scopes_supported":["openid","microprofile-jwt","phone","roles","profile","email","address","web-origins","acr","offline_access"],"request_parameter_supported":true,"request_uri_parameter_supported":true,"require_request_uri_registration":true,"code_challenge_methods_supported":["plain","S256"],"tls_client_certificate_bound_access_tokens":true,"revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","revocation_endpoint_auth_methods_supported":["private_key_jwt","client_secret_basic","client_secret_post","tls_client_auth","client_secret_jwt"],"revocation_endpoint_auth_signing_alg_values_supported":["PS384","ES384","RS384","HS256","HS512","ES256","RS256","HS384","ES512","PS256","PS512","RS512"],"backchannel_logout_supported":true,"backchannel_logout_session_supported":true,"device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","backchannel_token_delivery_modes_supported":["poll","ping"],"backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth","backchannel_authentication_request_signing_alg_values_supported":["PS384","ES384","RS384","ES256","RS256","ES512","PS256","PS512","RS512"],"require_pushed_authorization_requests":false,"pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","mtls_endpoint_aliases":{"token_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token","revocation_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/revoke","introspection_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token/introspect","device_authorization_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/auth/device","registration_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/clients-registrations/openid-connect","userinfo_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/userinfo","pushed_authorization_request_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/par/request","backchannel_authentication_endpoint":"https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/ext/ciba/auth"},"authorization_response_iss_parameter_supported":true}'
  recorded_at: Fri, 13 Sep 2024 03:35:32 GMT
- request:
    method: post
    uri: https://login.lescommuns.org/auth/realms/data-food-consortium/protocol/openid-connect/token
    body:
      encoding: UTF-8
      string: grant_type=refresh_token&refresh_token=<HIDDEN-OPENID_REFRESH_TOKEN>
    headers:
      User-Agent:
      - Rack::OAuth2 (2.2.1)
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      Content-Type:
      - application/x-www-form-urlencoded
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Date:
      - Fri, 13 Sep 2024 03:35:33 GMT
      Content-Type:
      - application/json
      Transfer-Encoding:
      - chunked
      Connection:
      - keep-alive
      Vary:
      - Accept-Encoding
      Set-Cookie:
      - AUTH_SESSION_ID=1726198534.936.59805.264613|78230f584c0d7db97d376e98de5321dc;
        Path=/; Secure; HttpOnly
      Cache-Control:
      - no-store
      Pragma:
      - no-cache
      Referrer-Policy:
      - no-referrer
      Strict-Transport-Security:
      - max-age=31536000; includeSubDomains
      X-Content-Type-Options:
      - nosniff
      X-Frame-Options:
      - SAMEORIGIN
      X-Xss-Protection:
      - 1; mode=block
    body:
      encoding: ASCII-8BIT
      string: '{"access_token":"<HIDDEN-OPENID-TOKEN>","expires_in":1800,"refresh_expires_in":31535410,"refresh_token":"<HIDDEN-OPENID-TOKEN>","token_type":"Bearer","id_token":"<HIDDEN-OPENID-TOKEN>","not-before-policy":0,"session_state":"87793e8d-be2e-4ecd-9e7b-b0963c8c4b14","scope":"openid
        profile email"}'
  recorded_at: Fri, 13 Sep 2024 03:35:34 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:35 GMT
      Content-Type:
      - text/html; charset=utf-8
      Content-Length:
      - '20933'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"51c5-LvIr/zd7q0qcC7/w0GT440kQVn4"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 27912 characters]
  recorded_at: Fri, 13 Sep 2024 03:35:36 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:38 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '5826'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Pageinfo:
      - '{"hasPreviousPage":false,"hasNextPage":false,"startCursor":"eyJsYXN0X2lkIjoxMTQ5MTQ0NDk4NDgzLCJsYXN0X3ZhbHVlIjoxMTQ5MTQ0NDk4NDgzfQ==","endCursor":"eyJsYXN0X2lkIjoxMTc2MTY4ODI1MTM5LCJsYXN0X3ZhbHVlIjoxMTc2MTY4ODI1MTM5fQ=="}'
      Etag:
      - W/"16c2-nS9qxs1MvLMVobnzF6BSuKGd/z8"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b19887","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b19888","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b19889","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"2.09"},{"@id":"_:b19890","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"_:b19891","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635","@type":["dfc-b:Offer","dfc-b:Offer","dfc-b:Offer"],"dfc-b:offeredItem":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":["dfc-b:Offer","dfc-b:Offer"],"dfc-b:offeredItem":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747/orderLines/133"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175325245747/orderLines/133","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b19887"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667/orderLines/143"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175937679667/orderLines/143","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b19888"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475/orderLines/146"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1175938695475/orderLines/146","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466467635"},"dfc-b:hasPrice":{"@id":"_:b19889"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403/orderLines/151"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176057348403/orderLines/151","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b19890"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091/orderLines/157"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176063607091/orderLines/157","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b19891"},"dfc-b:quantity":"1"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176168825139","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466467635","@type":["dfc-b:SuppliedProduct","dfc-b:SuppliedProduct","dfc-b:SuppliedProduct"]},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":["dfc-b:SuppliedProduct","dfc-b:SuppliedProduct"]}]}'
  recorded_at: Fri, 13 Sep 2024 03:35:38 GMT
- request:
    method: post
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders","@type":"dfc-b:Order","dfc-b:orderNumber":"","dfc-b:date":"","dfc-b:belongsTo":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","dfc-b:hasPart":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","dfc-b:orderedBy":"http://test.host/api/dfc/enterprises/1993","dfc-b:hasOrderStatus":"dfc-v:Held"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/OrderLines/1","@type":"dfc-b:OrderLine","dfc-b:description":"","dfc-b:quantity":3,"dfc-b:concerns":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/Offer"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/Offer","@type":"dfc-b:Offer","dfc-b:hasPrice":{"@type":"dfc-b:Price","dfc-b:value":"18.85","dfc-b:VATrate":"0","dfc-b:hasUnit":"dfc-m:Euro"},"dfc-b:stockLimitation":0.0,"dfc-b:offeredItem":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct","dfc-b:name":"Baked
        British Beans - Case, 12 x 400g (can)","dfc-b:description":"<table width=\"100%\">\n<tbody>\n<tr
        style=\"border: 0px;\">\n<td bgcolor=\"#d6fbed\" style=\"color: #000000; border:
        0px;\"><strong>They''re back!</strong></td>\n</tr>\n</tbody>\n</table>\n<p><strong>Think
        baked beans are British? They are now! We use only British-grown fava beans
        - Britain''s original bean, grown here since the Iron Age. Our Baked British
        Beans are deliciously different, with large meaty fava beans in a tasty tomato
        sauce.</strong></p>\n<p><strong><a title=\"What are fava beans? Aren''t they
        just broad beans?\" href=\"/blogs/news/what-are-fava-beans-are-they-just-broad-beans\"
        data-mce-fragment=\"1\" data-mce-href=\"/blogs/news/what-are-fava-beans-are-they-just-broad-beans\">What
        are fava beans? Find out here...</a></strong></p>\n<!-- split --><h3>Complete
        Product Details</h3><p>Our Baked British Beans are cooked and ready to eat,
        hot or cold. They''re good served on toast but also delicious added to stews,
        curries or casseroles. Or even in a pie.</p>\n<h5 class=\"product-detail-title\">Cooking
        instructions</h5>\n<p><strong>Cooking on the Hob</strong><br>Empty contents
        into saucepan. Heat gently for 4-5 minutes while stirring. For best flavour
        do not boil or overcook. Do not reheat.</p>\n<p><strong>Microwave Cooking</strong><br>Empty
        contents into a non-metallic bowl and cover. Heat for 2 to 3 minutes, stirring
        halfway. Check the food is hot, stir well and serve. Do not reheat.</p>\n<h5
        class=\"product-detail-title\">To Store</h5>\n<p>Store in a cool, dry place.
        Once opened, transfer contents to a non-metallic container, cover refrigerate
        and use with 2 days.</p>\n<h5 class=\"product-detail-title\">Ingredients</h5>\n<p>Fava
        Beans (Broad Beans) (42%), Water, Tomato Puree, Sugar, Modified Maize Starch,
        Salt, Herbs &amp; Spices, Concentrated Lemon Juice</p>\n<h5 class=\"product-detail-title\">Allergy
        information</h5>\n<p>No Allergens</p>\n<table width=\"100%\">\n<tbody>\n<tr>\n<td><strong>Typical
        values</strong></td>\n<td><strong>Per 100g</strong></td>\n</tr>\n<tr>\n<td>Energy</td>\n<td>292kJ
        (69kcal)</td>\n</tr>\n<tr>\n<td>Fat</td>\n<td>0.4g</td>\n</tr>\n<tr>\n<td>of
        which saturates</td>\n<td>0.1g</td>\n</tr>\n<tr>\n<td>Carbohydrate</td>\n<td>10.1g</td>\n</tr>\n<tr>\n<td>of
        which sugars</td>\n<td>4.6g</td>\n</tr>\n<tr>\n<td>Fibre</td>\n<td>5g</td>\n</tr>\n<tr>\n<td>Protein</td>\n<td>4g</td>\n</tr>\n<tr>\n<td>Salt</td>\n<td>0.6g</td>\n</tr>\n</tbody>\n</table><h5
        class=\"product-detail-title\">More</h5>\n<p>Delicious, nutritious and good
        for the soil, fava beans are a variety of broad bean, Vicia faba, left to
        ripen and dry before harvest. They’re also known as field beans, horse beans,
        Windsor beans or ful.</p>\n<p>Suitable for vegans and vegetarians</p>\n","dfc-b:hasQuantity":{"@type":"dfc-b:QuantitativeValue","dfc-b:hasUnit":"dfc-m:Kilogram","dfc-b:value":"4.8"},"dfc-b:alcoholPercentage":0.0,"dfc-b:lifetime":"","dfc-b:usageOrStorageCondition":"","dfc-b:referencedBy":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403/CatalogItem","dfc-b:image":"https://cdn.shopify.com/s/files/1/0731/8483/7939/products/Pack-Can-Baked-Beans-1800x6_983x656_513758e6-2616-4687-a8b2-ba6dde864923.jpg?v=1677760778","dfc-b:totalTheoreticalStock":0.0},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SalesSession/#","@type":"dfc-b:SaleSession","dfc-b:beginDate":"Thu
        Sep 12 2024 03:35:36 UTC","dfc-b:endDate":"Fri Sep 20 2024 03:35:36 UTC","dfc-b:quantity":0.0}]}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:43 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1269'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4f5-nwt/jRya1Ej2jpI00KgTTIAGPoU"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b19892","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035/orderLines/161"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035/orderLines/161","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b19892"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 13 Sep 2024 03:35:43 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:45 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '1269'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"4f5-WyrQxsq/ioDbLEX4rjoO8O4yC0A"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@graph":[{"@id":"_:b19893","@type":"dfc-b:Price","dfc-b:hasUnit":"dfc-m:PoundSterling","dfc-b:value":"18.85"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403","@type":"dfc-b:Offer","dfc-b:offeredItem":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:hasOrderStatus":{"@id":"dfc-v:Held"},"dfc-b:hasPart":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035/orderLines/161"}},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035/orderLines/161","@type":"dfc-b:OrderLine","dfc-b:concerns":{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Offers/44519466500403"},"dfc-b:hasPrice":{"@id":"_:b19893"},"dfc-b:quantity":"3"},{"@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts/44519466500403","@type":"dfc-b:SuppliedProduct"}]}'
  recorded_at: Fri, 13 Sep 2024 03:35:45 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/SuppliedProducts
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:47 GMT
      Content-Type:
      - text/html; charset=utf-8
      Content-Length:
      - '20933'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"51c5-Y5DXhfePA7oDfueIdqQbWHX026Q"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: ASCII-8BIT
      string: !binary |-
        [encoded data, 27912 characters]
  recorded_at: Fri, 13 Sep 2024 03:35:48 GMT
- request:
    method: put
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:orderNumber":"","dfc-b:date":"","dfc-b:hasOrderStatus":"dfc-v:Complete"}'
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:53 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '287'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"11f-YKsSX7dJoIhxqrHfbfiqn48b0iM"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.59
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"}}'
  recorded_at: Fri, 13 Sep 2024 03:35:53 GMT
- request:
    method: get
    uri: https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035
    body:
      encoding: US-ASCII
      string: ''
    headers:
      Content-Type:
      - application/json
      Authorization:
      - "<HIDDEN-AUTHORIZATION-HEADER>"
      User-Agent:
      - Faraday v2.9.0
      Accept-Encoding:
      - gzip;q=1.0,deflate;q=0.6,identity;q=0.3
      Accept:
      - "*/*"
  response:
    status:
      code: 200
      message: OK
    headers:
      Server:
      - openresty
      Date:
      - Fri, 13 Sep 2024 03:35:55 GMT
      Content-Type:
      - application/json; charset=utf-8
      Content-Length:
      - '287'
      Connection:
      - keep-alive
      X-Powered-By:
      - Express
      Access-Control-Allow-Origin:
      - "*"
      Etag:
      - W/"11f-YKsSX7dJoIhxqrHfbfiqn48b0iM"
      Set-Cookie:
      - SRVGROUP=common; path=/; HttpOnly
      X-Resolver-Ip:
      - 185.172.100.60
      Strict-Transport-Security:
      - max-age=15811200
    body:
      encoding: UTF-8
      string: '{"@context":"https://www.datafoodconsortium.org","@id":"https://env-0105831.jcloud-ver-jpe.ik-server.com/api/dfc/Enterprises/test-hodmedod/Orders/1176169546035","@type":"dfc-b:Order","dfc-b:hasFulfilmentStatus":{"@id":"dfc-v:Unfulfilled"},"dfc-b:hasOrderStatus":{"@id":"dfc-v:Complete"}}'
  recorded_at: Fri, 13 Sep 2024 03:35:55 GMT
recorded_with: VCR 6.2.0
